<?php
/*
 *	This file contains Blog, Archive, Search
 *	
 *	@version 1.0
 *	@since intensely 1.0
 */
 
 	/*
	 *	Panel -- Blog
	 *
	 *  @since intensely 1.0
	 */	 	
/*
	intensely_Kirki::add_panel( 'intensely_blog_panel', array(
	    'priority'    => 10,
	    'title'       => __( 'Blog', 'intensely' ),
	) );
*/
	/*
	 *	Section -- Blog Layouts
	 *
	 *	@since intensely 1.0
	 */
	 
	intensely_Kirki::add_section( 'intensely_blog_section', array(
	    'title'          	=> __( 'Blog', 'intensely' ),
	    'priority'       	=> 9,
	    'capability'     	=> 'edit_theme_options',
	) );
	
	// excerpt or full content
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'        		=> 'radio',
		'settings'    		=> 'intensely_blog_excerpt_full',
		'label'       		=> __( 'Excerpt or Full Content', 'intensely' ),
		'description'       => __( 'Choose to have excerpt or full content on archive pages index/archive/search.', 'intensely' ),		
		'section'     		=> 'intensely_blog_section',
		'default'     		=> 'intensely-excerpt',
		'priority'    		=> 10,
		'choices'     		=> array(
			'intensely-excerpt'   		  => esc_attr__( 'Excerpt', 'intensely' ),
			'intensely-full-content' 	  => esc_attr__( 'Full Content', 'intensely' ),
		),
	) );		
	
	// on/off category
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_meta_cat',
		'label'    			=> __( 'Hide categories', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );
	
	// on/off author name
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_meta_author',
		'label'    			=> __( 'Hide author name', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );
	
	// on/off date
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_meta_date',
		'label'    			=> __( 'Hide date', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );
	
	// on/off comments
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_single_comments_count',
		'label'    			=> __( 'Hide post comments count', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );	

	// tags enable/disable
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_single_tags_on_off',
		'label'    			=> __( 'Hide tags in post single', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );
	
	// next/prev enable/disable
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_single_post_navi',
		'label'    			=> __( 'Hide next/prev in post single', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );
	
	// author bio enable/disable
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_single_author_bio',
		'label'    			=> __( 'Hide author bio in post single', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );	
	
	// related posts enable/disable
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'     			=> 'checkbox',
		'settings' 			=> 'intensely_blog_single_related_posts',
		'label'    			=> __( 'Hide related posts in post single', 'intensely' ),
		'section'  			=> 'intensely_blog_section',
		'priority' 			=> 10,
		'default'     		=> '0',				
	) );											