<?php
/*
 *	This file contains theme info options.
 *	
 *	@version 1.0
 *	@since intensely 1.0
 */
	
	/*
	 *	Section -- theme info
	 *
	 *	@since intensely 1.0
	 */
	 
	intensely_Kirki::add_section( 'intensely_theme_info_section', array(
	    'title'          	=> __( 'Theme Info', 'intensely' ),
	    'priority'       	=> 8,
	    'capability'     	=> 'edit_theme_options',
	) );
	
	// logo
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'        		=> 'custom',
		'settings'    		=> 'intensely_theme_customizer_logo',
		'section'     		=> 'intensely_theme_info_section',
		'default'     		=> '<img src="'. get_template_directory_uri() . '/images/logo.png" alt="intensely" />',
		'priority'    		=> 10,
	) );	
	
	// documentation
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'        		=> 'custom',
		'settings'    		=> 'intensely_theme_doc',
		'label'       		=> __( 'Useful Links', 'intensely' ),
		'section'     		=> 'intensely_theme_info_section',
		'default'     		=> '<a href="https://www.wpfreeware.com/docs/intensely-documentation/" target="_blank">' . esc_html__( 'Documentation', 'intensely' ) . '</a>',
		'priority'    		=> 10,
	) );
	
	// Support
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'        		=> 'custom',
		'settings'    		=> 'intensely_theme_support',
		'section'     		=> 'intensely_theme_info_section',
		'default'     		=> '<a href="https://www.wpfreeware.com/support-forums/forum/intensely-support/" target="_blank">' . esc_html__( 'Support', 'intensely' ) . '</a>',
		'priority'    		=> 10,
	) );
	
	// Changelogs
	intensely_Kirki::add_field( 'intensely_config', array(
		'type'        		=> 'custom',
		'settings'    		=> 'intensely_theme_changelogs',
		'section'     		=> 'intensely_theme_info_section',
		'default'     		=> '<a href="https://www.wpfreeware.com/docs/intensely-changelogs/" target="_blank">' . esc_html__( 'Changelogs', 'intensely' ) . '</a>',
		'priority'    		=> 10,
	) );			